> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firstpromoter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get reports for promoter overview

> With this endpoint you can get the overview report for a single promoter, grouped over time. 
 <Tip>**HTTP Request** <br/>`GET https://api.firstpromoter.com/api/v2/company/promoters/{id}/overview_report`</Tip>



## OpenAPI

````yaml openapi-v2-promoters get /promoters/{id}/overview_report
openapi: 3.0.1
info:
  title: FirstPromoter API
  version: '1.0'
  description: API documentation for FirstPromoter promoters management
servers:
  - url: https://api.firstpromoter.com/api/v2/company
security:
  - BearerAuth: []
paths:
  /promoters/{id}/overview_report:
    get:
      tags:
        - Promoters
      summary: Get reports for promoter overview
      description: >-
        With this endpoint you can get the overview report for a single
        promoter, grouped over time. 
         <Tip>**HTTP Request** <br/>`GET https://api.firstpromoter.com/api/v2/company/promoters/{id}/overview_report`</Tip>
      operationId: getPromoterOverviewReport
      parameters:
        - $ref: '#/components/parameters/AccountId'
        - name: id
          in: path
          description: Id of the promoter
          required: true
          schema:
            type: integer
        - name: columns
          in: query
          required: true
          schema:
            type: array
            items:
              type: string
              enum:
                - active_customers
                - monthly_churn
                - clicks_count
                - net_revenue_amount
                - revenue_amount
                - referrals_count
                - customers_count
                - sales_count
                - refunds_count
                - cancelled_customers_count
                - promoter_earnings_amount
                - non_link_customers
                - referrals_to_customers_cr
                - 3m_epc
                - 6m_epc
                - clicks_to_customers_cr
                - clicks_to_referrals_cr
                - promoter_paid_amount
                - signups_count
          description: Fields to be included in the report
        - name: q
          in: query
          required: false
          schema:
            type: string
          description: Search query string
        - name: group_by
          in: query
          required: true
          schema:
            type: string
            enum:
              - day
              - week
              - month
              - year
          description: Time period grouping
        - name: start_date
          in: query
          required: true
          schema:
            type: string
            format: date-time
          description: Start date for the report period
        - name: end_date
          in: query
          required: true
          schema:
            type: string
            format: date-time
          description: End date for the report period
        - name: sorting
          in: query
          required: false
          schema:
            type: object
            additionalProperties:
              type: string
              enum:
                - asc
                - desc
          description: Sorting parameters
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    period:
                      type: string
                    id:
                      type: string
                    data:
                      type: object
                      properties:
                        revenue_amount:
                          type: number
                        net_revenue_amount:
                          type: number
                        promoter_earnings_amount:
                          type: number
                        customers_count:
                          type: integer
                        referrals_count:
                          type: integer
                        clicks_count:
                          type: integer
                        active_customers:
                          type: integer
                        3m_epc:
                          type: number
        '401':
          description: >-
            Unauthorized — the Bearer access token is missing, invalid, expired,
            or revoked. No JSON response body is returned.
          content:
            application/json:
              schema:
                type: object
              example: {}
        '403':
          description: >-
            Forbidden — the authenticated user does not have permission to
            perform this action
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                message: You don't have enough rights to perform this action
                code: forbidden
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                message: Record not found
                code: not_found
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'param is missing or the value is empty: columns'
                  code:
                    type: string
                    example: invalid_params
components:
  parameters:
    AccountId:
      name: Account-ID
      in: header
      required: true
      description: >-
        Account id. You can find your Account ID on Your FirstPromoter
        Dashboard. Navigate to Settings → Integrations
      schema:
        type: string
  schemas:
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
        code:
          type: string
          description: Error code
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key passed as a Bearer token in the Authorization header. You can
        find your API Key on Your FirstPromoter Dashboard. Navigate to Settings
        → Integrations section → Manage API Keys

````